package org.bitbucket.bradleysmithllc.etlunit.feature.execute;

import com.google.inject.Injector;
import org.bitbucket.bradleysmithllc.etlunit.*;
import org.bitbucket.bradleysmithllc.etlunit.context.VariableContext;
import org.bitbucket.bradleysmithllc.etlunit.feature.AbstractFeature;
import org.bitbucket.bradleysmithllc.etlunit.feature.execute.java_executor.ExecuteHandler;
import org.bitbucket.bradleysmithllc.etlunit.feature.execute.java_executor.ExecuteRequest;
import org.bitbucket.bradleysmithllc.etlunit.parser.ETLTestOperation;
import org.bitbucket.bradleysmithllc.etlunit.parser.ETLTestValueObject;

import java.util.Arrays;
import java.util.List;

public class JavaExecutorFeatureModule extends AbstractFeature
{
	private static final List<String> prerequisites = Arrays.asList("execute");

	private final JavaExecutor javaExecutor = new JavaExecutor();

	@Override
	public List<String> getPrerequisites() {
		return prerequisites;
	}

	@Override
	public void initialize(Injector inj)
	{
		postCreate(javaExecutor);
	}

	@Override
	public ClassListener getListener()
	{
		return javaExecutor;
	}
}
